> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Agent Availability Status API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

Use this API to check the availability of agents based on specified skill IDs, queue IDs, and agent IDs. It checks whether digital channels are enabled for each agent and indicates which channels (such as Voice, Messaging, Email, Voicemail, and Live Chat) are enabled for them. Also, it provides per-channel interaction capacity metrics, including total capacity, used capacity, and available capacity.

| **Method**        | POST                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/agentassist/api/v1/public/{{botId}}/agents/availability`                                                     |
| **Content-Type**  | `application/json`                                                                                                             |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token) |
| **API Scope**     | Configuration                                                                                                                  |

## Path Parameters

| Parameter | Description                                                      | Type             |
| --------- | ---------------------------------------------------------------- | ---------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`         | string, required |
| `botId`   | BotId or StreamId. You can access it from the App Settings page. | string, required |

## Sample Request

```
curl --location 'https://{{host}}/agentassist/api/v1/public/{{botId}}/agents/availability' \
--header 'auth: {{jwt_token}}' \
--header 'Content-Type: application/json' \
--header 'accountId: {{accountId}}' \
--data '{
   "skillIds": ["68402981bfe0b8e53f7xxxxx"],
   "queueIds": ["qu-e30b539-dd3c-4e10-90a9-354a3e7xxxxx"],
   "agentIds": ["a-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx"]
   
}'
```

## Headers

| Header      | Description                                     | Required/Optional |
| ----------- | ----------------------------------------------- | ----------------- |
| `accountId` | The account ID associated with the API request. | required          |
| `auth`      | JWT token for authentication.                   | required          |

## Body Parameters

| Parameter  | Description                                        | Type             |
| ---------- | -------------------------------------------------- | ---------------- |
| `skillIds` | An array of skill IDs to check agent availability. | string, optional |
| `queueIds` | An array of queue IDs for filtering agents.        | string, optional |
| `agentIds` | An array of specific agent IDs to check.           | string, optional |

## Sample Response

```
{
    "AVAILABLE": [
        {
            "_id": "a-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx",
            "userId": "u-13b82e29-91a3-5092-a7ba-b92c852xxxxx",
            "firstName": "jane",
            "lastName": "doe",
            "emailId": "jane.doe@example.com",
            "customId": "#@$#%$^%&ABCDEF...Zabcdghijklmnopqrstuvwxyz01234xxxxx!#$%&'()*+",
            "phoneNumber": "",
            "isDigitalEnabled": true,
            "channelCapacity": {
                "liveChat": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "messaging": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "email": {
                    "isEnabled": true,
                    "totalCapacity": 3,
                    "usedCapacity": 0,
                    "availableCapacity": 3
                },
                "voice": {
                    "isEnabled": true,
                    "totalCapacity": 1,
                    "usedCapacity": 0,
                    "availableCapacity": 1
                },
                "voiceMail": {
                    "isEnabled": true,
                    "totalCapacity": 5,
                    "usedCapacity": 0,
                    "availableCapacity": 5
                }
            }
        }
    ],
    "BUSY": [],
    "OFFLINE": [],
    "AWAY": []
}
```

## Response Body Parameters

| Parameter                                               | Description                                                                           | Type             | Example                                                           |
| ------------------------------------------------------- | ------------------------------------------------------------------------------------- | ---------------- | ----------------------------------------------------------------- |
| `AVAILABLE`                                             | List of agents currently available based on status, channel enablement, and capacity. | array of objects |                                                                   |
| `AVAILABLE._id`                                         | Unique identifier for the agent record.                                               | string           | `a-75b2b7b-674c-49d2-ad7a-8bce77cxxxxx`                           |
| `AVAILABLE.userId`                                      | Unique identifier of the user.                                                        | string           | `u-13b82e29-91a3-5092-a7ba-b92c852xxxxx`                          |
| `AVAILABLE.firstName`                                   | Agent's first name.                                                                   | string           | jane                                                              |
| `AVAILABLE.lastName`                                    | Agent's last name.                                                                    | string           | doe                                                               |
| `AVAILABLE.emailId`                                     | Agent's email address.                                                                | string           | `jane.doe@example.com`                                            |
| `AVAILABLE.customId`                                    | Custom identifier associated with the agent.                                          | string           | `#@$#%$^%&ABCDEF...Zabcdghijklmnopqrstuvwxyz01234xxxxx!#$%&'()*+` |
| `AVAILABLE.phoneNumber`                                 | Agent's contact number.                                                               | string           | `12345xxxxx`                                                      |
| `AVAILABLE.isDigitalEnabled`                            | Indicates whether digital channels are enabled for the agent.                         | boolean          | true                                                              |
| `AVAILABLE.channelCapacity`                             | Contains channel-specific capacity and availability details.                          | object           |                                                                   |
| `AVAILABLE.channelCapacity.liveChat`                    | Capacity details for Live Chat channel.                                               | object           |                                                                   |
| `AVAILABLE.channelCapacity.liveChat.isEnabled`          | Indicates whether the channel is enabled for the agent.                               | boolean          | true                                                              |
| `AVAILABLE.channelCapacity.liveChat.totalCapacity`      | Total configured capacity for the channel.                                            | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.liveChat.usedCapacity`       | Number of active interactions currently handled by the agent.                         | number           | 0                                                                 |
| `AVAILABLE.channelCapacity.liveChat.availableCapacity`  | Remaining capacity available for new interactions.                                    | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.messaging`                   | Capacity details for Messaging channel.                                               | object           |                                                                   |
| `AVAILABLE.channelCapacity.messaging.isEnabled`         | Indicates whether the channel is enabled for the agent.                               | boolean          | true                                                              |
| `AVAILABLE.channelCapacity.messaging.totalCapacity`     | Total configured capacity for the channel.                                            | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.messaging.usedCapacity`      | Number of active interactions currently handled by the agent.                         | number           | 0                                                                 |
| `AVAILABLE.channelCapacity.messaging.availableCapacity` | Remaining capacity available for new interactions.                                    | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.email`                       | Capacity details for email channel.                                                   | object           |                                                                   |
| `AVAILABLE.channelCapacity.email.isEnabled`             | Indicates whether the channel is enabled for the agent.                               | boolean          | true                                                              |
| `AVAILABLE.channelCapacity.email.totalCapacity`         | Total configured capacity for the channel.                                            | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.email.usedCapacity`          | Number of active interactions currently handled by the agent.                         | number           | 0                                                                 |
| `AVAILABLE.channelCapacity.email.availableCapacity`     | Remaining capacity available for new interactions.                                    | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.voice`                       | Capacity details for voice channel.                                                   | object           |                                                                   |
| `AVAILABLE.channelCapacity.voice.isEnabled`             | Indicates whether the channel is enabled for the agent.                               | boolean          | true                                                              |
| `AVAILABLE.channelCapacity.voice.totalCapacity`         | Total configured capacity for the channel.                                            | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.voice.usedCapacity`          | Number of active interactions currently handled by the agent.                         | number           | 0                                                                 |
| `AVAILABLE.channelCapacity.voice.availableCapacity`     | Remaining capacity available for new interactions.                                    | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.voiceMail`                   | Capacity details for voiceMail channel.                                               | object           |                                                                   |
| `AVAILABLE.channelCapacity.voiceMail.isEnabled`         | Indicates whether the channel is enabled for the agent.                               | boolean          | true                                                              |
| `AVAILABLE.channelCapacity.voiceMail.totalCapacity`     | Total configured capacity for the channel.                                            | number           | 3                                                                 |
| `AVAILABLE.channelCapacity.voiceMail.usedCapacity`      | Number of active interactions currently handled by the agent.                         | number           | 0                                                                 |
| `AVAILABLE.channelCapacity.voiceMail.availableCapacity` | Remaining capacity available for new interactions.                                    | number           | 3                                                                 |
| `BUSY`                                                  | List of agents currently engaged and not available for new interactions.              | array of objects |                                                                   |
| `OFFLINE`                                               | List of agents who are offline.                                                       | array of objects |                                                                   |
| `AWAY`                                                  | List of agents marked as away or inactive.                                            | array of objects |                                                                   |
